openni_wrapper::OpenNIDevice::ShiftConversion Struct Reference

`#include <pcl/io/openni_camera/openni_device.h>`

## Public Member Functions

| ShiftConversion ()

## Public Attributes

XnUInt16 | zero_plane_distance_
XnFloat | zero_plane_pixel_size_
XnFloat | emitter_dcmos_distace_
XnUInt32 | max_shift_
XnUInt32 | device_max_shift_
XnUInt32 | const_shift_
XnUInt32 | pixel_size_factor_
XnUInt32 | param_coeff_
XnUInt32 | shift_scale_
XnUInt32 | min_depth_
XnUInt32 | max_depth_
bool | init_

## Detailed Description

Definition at line 486 of file openni_device.h.

## Constructor & Destructor Documentation

## ShiftConversion()

openni_wrapper::OpenNIDevice::ShiftConversion::ShiftConversion | ( |  | ) |

inline

Definition at line 488 of file openni_device.h.

## Member Data Documentation

## const_shift_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::const_shift_

Definition at line 495 of file openni_device.h.

## device_max_shift_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::device_max_shift_

Definition at line 494 of file openni_device.h.

## emitter_dcmos_distace_

XnFloat openni_wrapper::OpenNIDevice::ShiftConversion::emitter_dcmos_distace_

Definition at line 492 of file openni_device.h.

## init_

bool openni_wrapper::OpenNIDevice::ShiftConversion::init_

Definition at line 501 of file openni_device.h.

## max_depth_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::max_depth_

Definition at line 500 of file openni_device.h.

## max_shift_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::max_shift_

Definition at line 493 of file openni_device.h.

## min_depth_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::min_depth_

Definition at line 499 of file openni_device.h.

## param_coeff_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::param_coeff_

Definition at line 497 of file openni_device.h.

## pixel_size_factor_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::pixel_size_factor_

Definition at line 496 of file openni_device.h.

## shift_scale_

XnUInt32 openni_wrapper::OpenNIDevice::ShiftConversion::shift_scale_

Definition at line 498 of file openni_device.h.

## zero_plane_distance_

XnUInt16 openni_wrapper::OpenNIDevice::ShiftConversion::zero_plane_distance_

Definition at line 490 of file openni_device.h.

## zero_plane_pixel_size_

XnFloat openni_wrapper::OpenNIDevice::ShiftConversion::zero_plane_pixel_size_

Definition at line 491 of file openni_device.h.

The documentation for this struct was generated from the following file:

- pcl/io/openni_camera/openni_device.h